KJL BUGS - Bug #2419

[HR-PAYROLL]engine payroll terbaca payroll duplikat jika data payroll basic data lebih dari 1 data.
11/27/2023 05:54 PM - Muhammad Bintar

Status: Closed Start date: 11/27/2023
Priority: Urgent Due date: 11/30/2023
Assignee: Tri Rizqiaty % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

dear tim developer mohon support nya untuk perbaikan pada engine payroll dimana jika ada payroll basic data lebih dari 1 data,
maka

engine payroll akan melipatgandakan amount pada payroll nya.

kalau data nya dihapus dan menyisakan 1 data, maka perhitungan payroll nya jadi sesuai.

sebelum di hapus 1 data:

Wage Type Monthly Result Cumulative
Amount
Wage Description Number Rate Amount Wage | Taxable | Regular | Type | Pre Tax | Valuation | Overwrite | Pesangon |Base |
Type Group

1002 Haonorarium 1.00000 o 0 o ¥ N D Ay 1
1000 Gaji Pokok {Harian}) 1.00000 3,500,000 3,600,000 16,700,000 ¥ N N 2 N 1
1001 Rapel (+) 1.00000 o ] o 3 M N D 5 1

1002 ‘Gaji Pokok {Bulanan} 1.00000 o 0 o ¥ N N D i
1004 Gaji Pokok (Bulanan Pandawa) 1.00000 o 0 o ¥ M N D A 1
1010 Gaji Pokok {Direct) 0.00000 o 0 4,300,000 ¥ N N D i 1

4000 Tunjangan Jabatan 1.00000 200,000 200,000 1,600,000 hi N N 2 M
S = = = i 4 o o h | N N D Y 1
4005 Uang Makan 1.00000 1,260,000 1,250,000 5,265,000 h N M 2 M 1
F-1h, T P AR I o 1,505,000 i g N N D ¥ o
4010 Uang Transportasi 1.00000 360,000 350,000 1,780,000 ¥ N M 2 N 1
I | Uang |ransportast (Drect) Toooon ] o 430,000 R N H D v 1
Dacz Bonus Tahunan (-} 1.00000 ] 1] ] D N ¥ N N D & i i
feoece —=_ et oo - o o Y M N 3 M B002 1
2005 Lembar (+) 1.00000 420,200 489,200 1,628,742 X N N 2 N 1
e 0 [ ¥ N N 3 M B006 1

4015 Uang Kehadiran 1.00000 o i} o s 4 N D L
4020 Uang Kerajnan 1.00000 o i} o ¥ N Ay 1
4025 RIT 1.00000 o ] o A4 M D Y 1
4030 Pengembalian Depoesit Seragam Baru 1.00000 o o o ¥ N D A M
4035 Subsidi Gaj 1.00000 o 0 o ¥ N D Ay 1

Setelah di hapus 1 data :
4 1 1 ofl Pk ] Export
TOO0 53] Pokok (Hanan] T8 JUIIT TOO, 000 T. 200 0G0 T3 900,000 ¥ T ™ ™ T ™ LU .
1001 Rapel (+) 1.00000 o o o Y Y M N D A 1
1003 Gaji Pokok (Bulanan) 1.00000 o o o Y Y M N D A 1
1004 Gaji Pokok (Bulanan Pandaws) 1.00000 o o o Y Y M N D A 1
1010 Gaji Pokok {Direct) 0.00000 o o 4,300,000 Y Y M N D A 1
4000 Tunjangan Jabatan 1.00000 200,000 200,000 1,600,000 Y Y M N 12 N 1
4007 Tunjangan Jabatan Bulanan (Direct) 1.00000 o o o Y Y M N D A 1
I 4005 Uang Makan 18.00000 I 35,000 630,000 5,535,000 Y Y M N 12 N 1

4008 Uang Makan (Direct) 1.00000 o o 1,505,000 Y Y M N D A 1
4010 Uang Transportasi 18.00000 I 10,000 180,000 1,600,000 Y Y M N 12 N 1
4011 Uang Transportasi {Direct) 1.00000 o o 430,000 Y Y M N D A 1
Daoz Bonus Tahunan (-} 1.00000 o o o o M Y M N D A 1
2000 Tunj Lembur 150% 1.00000 o o o Y Y M N 2 N BO03 1
2[':!5 Lembur (+) 13.00000 I 19,200 240,600 1,379,142 Y ¥ N N 2 N n
4004 Tunj Lembur 150% 1.00000 ] Q o Y ¥ N N 2 N B006 1
4015 Uang Kehadiran 1.00000 ] Q o Y ¥ N D Y "
4020 Uang Keragnan 1.00000 ] Q o ¥ ¥ N D Y n
4025 RIT 1.00000 ] Q o ¥ ¥ N D Y n

contoh nya employee 22110362

remote.minovais.com:11138

database sql server 2014

remote.minovais.com, 1442

MinovaES_KJL BaseServer66

History

#1 - 11/28/2023 11:26 AM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

- Priority changed from Normal to Urgent

#2 - 11/28/2023 03:28 PM - Tri Rizqiaty

- File MinovalS.MinovaES.Business.PY.dll added

- Status changed from Assigned to Developing

Fixing :

Update API2/bin : MinovalS.MinovaES.Business.PY.dll

#3 - 11/28/2023 03:29 PM - Tri Rizqgiaty

- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to Muhammad Bintar

Tolong ditest ya, dan sebelum deploy tolong diback up dulu, makasih.

#4 - 11/29/2023 11:02 AM - Muhammad Bintar

- Status changed from QA Test to Closed

- Assignee changed from Muhammad Bintar to Tri Rizqiaty

okee sudah di tes, sudah oke. dan sudah deploy ke production.

Files

clipboard-202311271751-7xblm.png 63.3 KB 11/27/2023 Muhammad Bintar

clipboard-202311271752-9a8h1.png 71.7 KB 11/27/2023 Muhammad Bintar
